/*
 * @Descripttion: sql 接口路径
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2020-11-09 11:22:08
 * @LastEditors: 无尘
 * @LastEditTime: 2020-11-19 10:31:10
 */
import getFetch from './get-fetch';

let api = {
  getProjectList: '/list-project', // 获取项目列表,
  getTableList: '/list-table', // 获取表列表,
  getSqlList: '/list-sql', // 获取 sql 列表,
  addSqlIndex: {
    url: '/perfect-sql-index', // 添加索引
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  setPerfect: {
    url: '/sql-perfect-need', // 完善开关
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  setStatus: {
    url: '/sql-online', // 上线开关
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  exportData: {
    url: '/exportList', // 导出
    method: 'post',
    useFormData: true,
    useIntercept: false
  }
};

api = getFetch(api, '/sql-check-web');

export default api;
