/*
 * @Descripttion: 试用账号 接口路径
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2020-11-09 11:22:08
 * @LastEditors: 无尘
 * @LastEditTime: 2020-11-19 10:32:24
 */
import getFetch from './get-fetch';

let api = {
  getAccountList: '/trial-list', // 获取试用账号列表
  setAccountStatus: {
    url: '/trial-end', // 结束试用
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  getEnterpriseList: '/wx-enterprise-list', // 获取企业列表数据
  saveAccount: {
    url: '/trial-add', // 保存账号
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  getAccountDetail: '/trial-detail', // 获取账号详情
};

api = getFetch(api, '/hb-manage-operation-web');

export default api;
